Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 37448 - Single click boolean toggle for setup wizard enabled modules pane
Single click boolean toggle for setup wizard enabled modules pane
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Outline&TreeTable
3.x
PC Windows XP
: P3 (vote)
: 3.x
Assigned To: _ tboudreau
issues@platform
:
Depends on: 31896
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-24 14:56 UTC by _ gtzabari
Modified: 2008-12-22 22:48 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description _ gtzabari 2003-11-24 14:56:41 UTC
dev build 200311231900

In the module listings dialog, clicking on the
"enabled" flag for a module requires two clicks to
modify its value if the module was not previously
selected. We should only be requiring a single
click even if the module is not selected.

Secondly, if a module consists of multiple
submodules and one of them has "enabled=false"
while others are equal to true, the "equals" value
of the parent module is equal to "null" which is
bad. We should display "mixed" or something as the
value.

Thirdly, When a module is selected, its "enabled"
flag cannot be read. This is because we select a
module using a blue background color and the
"enabled" flag uses black font. The result is a
black foreground with a dark blue background which
is unreadable.
Comment 1 mslama 2003-11-24 15:50:17 UTC
Assigning to UI.
Comment 2 jrojcek 2003-11-24 16:39:43 UTC
Tim, I think you are currently working on it. If not, reassign back,
please.
Comment 3 _ tboudreau 2003-11-27 17:18:41 UTC
Should be fixed on property panel rewrite branch
Comment 4 _ tboudreau 2003-12-09 09:36:42 UTC
Property panel rewrite branch merged.
Comment 5 Marian Mirilovic 2005-07-13 13:25:15 UTC
closed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo